> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Manage Product Specific Frequencies

PATCH https://restapi.ordergroove.com/frequencies/product_specific_frequencies_list/manage/
Content-Type: application/json

Control product specific shipping frequencies

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/frequencies/manage-product-specific-frequencies

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: ordergroove-restrpc
  version: 1.0.0
paths:
  /frequencies/product_specific_frequencies_list/manage/:
    patch:
      operationId: manage-product-specific-frequencies
      summary: Manage Product Specific Frequencies
      description: Control product specific shipping frequencies
      tags:
        - frequencies
      parameters:
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Frequencies_manage-product-specific-frequencies_Response_200
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Manage-product-specific-frequenciesRequestBadRequestError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                add_products_to_frequencies:
                  type: array
                  items:
                    $ref: >-
                      #/components/schemas/FrequenciesProductSpecificFrequenciesListManagePatchRequestBodyContentApplicationJsonSchemaAddProductsToFrequenciesItems
                  description: >-
                    A list of products that will be linked to a list of
                    frequencies
                remove_products_from_frequencies:
                  type: array
                  items:
                    type: string
                  description: >-
                    List of external product ids that will no longer have
                    specific frequencies. They will now use the default
                    frequencies configured* (["product_1", "product_2"])
servers:
  - url: https://restapi.ordergroove.com
    description: https://restapi.ordergroove.com
components:
  schemas:
    FrequenciesProductSpecificFrequenciesListManagePatchRequestBodyContentApplicationJsonSchemaAddProductsToFrequenciesItemsFrequenciesItemsEveryPeriod:
      type: string
      enum:
        - '1'
        - '2'
        - '3'
      description: Type of period. 1 - Day, 2 - Week, 3 - Month
      title: >-
        FrequenciesProductSpecificFrequenciesListManagePatchRequestBodyContentApplicationJsonSchemaAddProductsToFrequenciesItemsFrequenciesItemsEveryPeriod
    FrequenciesProductSpecificFrequenciesListManagePatchRequestBodyContentApplicationJsonSchemaAddProductsToFrequenciesItemsFrequenciesItems:
      type: object
      properties:
        every:
          type: integer
          description: Number of periods
        every_period:
          $ref: >-
            #/components/schemas/FrequenciesProductSpecificFrequenciesListManagePatchRequestBodyContentApplicationJsonSchemaAddProductsToFrequenciesItemsFrequenciesItemsEveryPeriod
          description: Type of period. 1 - Day, 2 - Week, 3 - Month
      required:
        - every
        - every_period
      title: >-
        FrequenciesProductSpecificFrequenciesListManagePatchRequestBodyContentApplicationJsonSchemaAddProductsToFrequenciesItemsFrequenciesItems
    FrequenciesProductSpecificFrequenciesListManagePatchRequestBodyContentApplicationJsonSchemaAddProductsToFrequenciesItems:
      type: object
      properties:
        products:
          type: array
          items:
            type: string
          description: >-
            List of external product ids that will be added to frequencies
            provided. E. g. ["product_1", "product_2"]
        frequencies:
          type: array
          items:
            $ref: >-
              #/components/schemas/FrequenciesProductSpecificFrequenciesListManagePatchRequestBodyContentApplicationJsonSchemaAddProductsToFrequenciesItemsFrequenciesItems
          description: List of frequencies that will be linked to products
      required:
        - products
      title: >-
        FrequenciesProductSpecificFrequenciesListManagePatchRequestBodyContentApplicationJsonSchemaAddProductsToFrequenciesItems
    Frequencies_manage-product-specific-frequencies_Response_200:
      type: object
      properties: {}
      title: Frequencies_manage-product-specific-frequencies_Response_200
    Manage-product-specific-frequenciesRequestBadRequestError:
      type: object
      properties: {}
      title: Manage-product-specific-frequenciesRequestBadRequestError
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/frequencies/product_specific_frequencies_list/manage/"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/frequencies/product_specific_frequencies_list/manage/';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/frequencies/product_specific_frequencies_list/manage/"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/frequencies/product_specific_frequencies_list/manage/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://restapi.ordergroove.com/frequencies/product_specific_frequencies_list/manage/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://restapi.ordergroove.com/frequencies/product_specific_frequencies_list/manage/', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/frequencies/product_specific_frequencies_list/manage/");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/frequencies/product_specific_frequencies_list/manage/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```